### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-breadcrumb/common/ecl-breadcrumb-segment.component.ts`

### Metadata

template |
    <div></div>

### Index

###### Properties
Public el
###### Methods
onSegmentClick
###### Inputs
href isCurrentPage isHidden styleClass
###### Outputs
segmentClick

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

href
Type : `string`
Default value : `''`

isCurrentPage
Type : `boolean`
Default value : `false`

isHidden
Type : `boolean`
Default value : `false`

styleClass
Type : `string`

### Outputs

segmentClick
Type : `EventEmitter`

### Methods

onSegmentClick
`onSegmentClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

Public el
Type : `ElementRef`

# result-matching ""

# No results matching ""